Package org.eclipse.viatra.query.runtime.matchers.backend

## Enum QueryEvaluationHint.BackendRequirement

- java.lang.Object
- - java.lang.Enum<QueryEvaluationHint.BackendRequirement>
  - - org.eclipse.viatra.query.runtime.matchers.backend.QueryEvaluationHint.BackendRequirement

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<QueryEvaluationHint.BackendRequirement>`
  Enclosing class:
    QueryEvaluationHint

      public static enum QueryEvaluationHint.BackendRequirement
      extends java.lang.Enum<QueryEvaluationHint.BackendRequirement>

  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT_CACHING` | The current hint specifies that the default caching backend of the engine should be used
    `DEFAULT_SEARCH` | The current hint specifies that the default search backend of the engine should be used
    `SPECIFIC` | The current hint specifies that a specific backend is to be used
    `UNSPECIFIED` | The current hint does not specify any backend requirement

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QueryEvaluationHint.BackendRequirement` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static QueryEvaluationHint.BackendRequirement[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final QueryEvaluationHint.BackendRequirement UNSPECIFIED

      The current hint does not specify any backend requirement

    - #### DEFAULT_SEARCH

          public static final QueryEvaluationHint.BackendRequirement DEFAULT_SEARCH

      The current hint specifies that the default search backend of the engine should be used

    - #### DEFAULT_CACHING

          public static final QueryEvaluationHint.BackendRequirement DEFAULT_CACHING

      The current hint specifies that the default caching backend of the engine should be used

    - #### SPECIFIC

          public static final QueryEvaluationHint.BackendRequirement SPECIFIC

      The current hint specifies that a specific backend is to be used

  - ### Method Detail

    - #### values

          public static QueryEvaluationHint.BackendRequirement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryEvaluationHint.BackendRequirement c : QueryEvaluationHint.BackendRequirement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryEvaluationHint.BackendRequirement valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null